classification
Title: Minor updates to Functional HOWTO
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: akuchling, docs@python, ezio.melotti, python-dev
Priority: low Keywords:

Created on 2013-05-11 15:59 by akuchling, last changed 2013-05-20 14:16 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
functional.txt akuchling, 2013-05-11 15:59 review
functional.txt akuchling, 2013-05-14 14:14 review
Messages (4)
msg188931 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2013-05-11 15:59
I read through the 3.x Functional HOWTO, and it only seems to require a few minor updates.  The attached patch:

* adds a forward link to skip the theoretical discussion in the first section.
* remove stray extra comma
* clarify what filterfalse() is the opposite of.
* (more significant) Describe compress(), the combinatoric functions in their own section, and accumulate().
msg189222 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2013-05-14 14:14
Updated version of the patch:

* uses 'r' instead of 'N'.
* removes the old outline and some notes at the end.
* minor rewriting.
msg189265 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-05-15 03:08
LGTM.
msg189664 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-20 14:15
New changeset 20409786cf8e by Andrew Kuchling in branch 'default':
#17955: minor updates to Functional howto
http://hg.python.org/cpython/rev/20409786cf8e
History
Date User Action Args
2013-05-20 14:16:03akuchlingsetstage: commit review -> resolved
2013-05-20 14:15:43akuchlingsetstatus: open -> closed
resolution: fixed
2013-05-20 14:15:21python-devsetnosy: + python-dev
messages: + msg189664
2013-05-15 03:08:25ezio.melottisetmessages: + msg189265
stage: patch review -> commit review
2013-05-14 14:14:28akuchlingsetfiles: + functional.txt

messages: + msg189222
2013-05-11 18:12:08ezio.melottisetnosy: + ezio.melotti
2013-05-11 15:59:22akuchlingcreate